Denne side bruger cookies
Dette forum bruger cookies. Hvis du er registreret, bruges de til at huske hvem du er logget ind som. Hvis ikke, gemmer vi dit sidste besøgstidspunkt. Besøgstidspunktet bruges bl.a. til at holde øje med, hvilke tråde du allerede har læst. Cookies er små tekstdokumenter, som bliver gemt i din browser og udgør ingen sikkerhedsrisiko. Tryk "Mere Information" nedenfor, for en liste over de cookies vi sætter. Du har mulighed for at fravælge cookies ved at klikke på knappen "Blokér Cookies" i bunden af denne boks.

En ikke-personhenførbar cookie vil blive gemt i din browser, uanset dit valg (Medmindre du ikke foretager et). Således undgår du at blive spurgt igen. Du kan til enhver tid ændre dit valg via linket i bunden af siden.

Tråd bedømmelse:
  • 0 Stemmer - 0 Gennemsnit
  • 1
  • 2
  • 3
  • 4
  • 5
Joomla Version Checker
15-08-2013, 12:18
#1
Joomla Version Checker
[Billede: 13765600041248_joomla-version-checker1.png]


PHP kode:
#!/bin/bash
# Red V!per Joomla Version Checker 
# Coded By Red H4t V!per
# Tnx 2 : Pawel Frankowski

url="$1"

Usage()
{
echo 
""
echo "# ***************************************************************************​​****​*********************#"
echo "# Usage : Red V!per Joomla Version Checker <target> *#"
echo "# Help : -h && --help : Show This Menu *#"
echo "# RunScript : Give Permision to script and run it !! *#"
echo "# Example : ./script.sh [url]www.example.com/joomla/[/url] *#"
echo "# ***************************************************************************​​****​#"
echo ""
exit
}

Check_Arguments()
{
if [ -
"$url] || [ "$url== "-h" ] || [ "$url== "--help" ]; then
Usage
;
exit
fi
}

Check_Joomla_Version()
{
clear
i
=0
echo -'\E[32m'"[*] Start Check ..."tput sgr0
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0

wget 
-"$url/templates/system/css/system.css" 

Version=`cat system.css | grep "OpenID icon style"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.5 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

version
=`cat system.css | grep "2011-01-09 02:40:25Z ian"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.6 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

version
=`cat system.css | grep "2011-05-11 01:10:29Z dextercowley"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.7 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

version
=`cat system.css | grep "2012 Open Source Matters"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 2.5 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

wget 
-"$url/media/system/js/mootools-more.js" 

Version=`cat mootools-more.js | grep "MooTools={version:"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.5 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

Version
=`cat mootools-more.js | grep "1.3.0.1"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.6 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

Version
=`cat mootools-more.js | grep "1.3.2.1"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.7 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

Version
=`cat mootools-more.js | grep "1.4.0.1"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 2.5.6 or 3.0 alpha 2 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

wget 
-"$url/language/en-GB/en-GB.ini" 

Version=`cat en-GB.ini | grep "11391 2009-01-04 13:35:50Z ian"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.5.26 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

Version
=`cat en-GB.ini | grep "20196 2011-01-09 02:40:25Z ian"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.6.0 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

Version
=`cat en-GB.ini | grep "2011-03-18 16:42:30Z infograf768"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.6.5 or 1.7.1 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

Version
=`cat en-GB.ini | grep "22183 2011-09-30 09:04:32Z infograf768"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 1.7.3 or 1.7.5 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

Version
=`cat en-GB.ini | grep "<version>2.5.0"`
if [ -
"$Version]; then
let i
=$i+1
echo -'\E[32m'"[*] Testing method ($i) ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 2.5.0 -> 2.5.4 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi

Version
=`cat en-GB.ini | grep "<version>2.5.5"`
if [ -
"$Version]; then
echo -'\E[32m'"[*] Shit :( Not Found ..."tput sgr0
sleep 0.5
else
echo -
'\E[32m'"[*] Found : $url (joomla) Version is 2.5.5 or 2.5.6 "tput sgr0
echo -'\E[32m'"[*] Finish ..."tput sgr0
exit
fi
}

pre_remove()
{
rm -rf system.css*
rm -rf mootools-more.js*
rm -rf en-GB.ini*
}

main()
{
pre_remove;
Check_Arguments;
Check_Joomla_Version;
}

main
Email : ali_Sniffer@yahoo.com
Skype : ali_sniffer
Find alle beskeder fra denne bruger
Citer denne besked i et svar
15-08-2013, 13:30 (Denne besked var sidst ændret: 16-08-2013, 09:56 af Spagnum.)
#2
RE: Joomla Version Checker
I'll try it out, thanks for sharing! Did you code it yourself?
Don't learn to hack, hack to learn
Find alle beskeder fra denne bruger
Citer denne besked i et svar
15-08-2013, 21:01
#3
RE: Joomla Version Checker
Hvad er det kodet i enlig? efter som jeg ikke er den bedste til det :)
Methaqualon 4 life
Find alle beskeder fra denne bruger
Citer denne besked i et svar
16-08-2013, 07:37 (Denne besked var sidst ændret: 16-08-2013, 07:41 af humle.)
#4
RE: Joomla Version Checker
(15-08-2013, 21:01)Benka Skrev: Hvad er det kodet i enlig? efter som jeg ikke er den bedste til det :)

Linux bash script du kan altid se det i starten. Her starter den i #!/bin/bash python kan starte med #!/usr/bin/python

Den kigger efter versionen her:

wget -q "$url/templates/system/css/system.css"

Version=`cat system.css | grep "OpenID icon style"`

og printer (echo) det ud i terminalen med argumenterne IF som tjekker versionerne i forhold til "ID" som findes i den fil
"En af de mest citerede videnskabelige påstande er den om at humlebien ikke kan flyve, men den ved det ikke, og derfor flyver den bare alligevel".

----------------------------------------------------------------------------------------
Find alle beskeder fra denne bruger
Citer denne besked i et svar
17-08-2013, 21:00 (Denne besked var sidst ændret: 17-08-2013, 21:01 af Spagnum.)
#5
RE: Joomla Version Checker
Doe's it only work up to er certain version? I can't seem to find the version on any of the sites I tryed...
Don't learn to hack, hack to learn
Find alle beskeder fra denne bruger
Citer denne besked i et svar
21-08-2013, 11:42
#6
RE: Joomla Version Checker
(17-08-2013, 21:00)Spagnum Skrev: Doe's it only work up to er certain version? I can't seem to find the version on any of the sites I tryed...

Ja, det ser ud til, at den stopper med at prøve efter version 2.5.5 - desværre er det nogle ret gamle versioner, da de nyeste er 2.5.14 og 3.1.5, så mon ikke de fleste af dem, du har prøvet, har opdateret deres core?

Men det betyder jo så, at de er nyere end 2.5.5, som man muligvis også kan bruge til noget
Find alle beskeder fra denne bruger
Citer denne besked i et svar
21-08-2013, 17:57
#7
RE: Joomla Version Checker
@PhasmaX - det lyder meget sandsynligt
Don't learn to hack, hack to learn
Find alle beskeder fra denne bruger
Citer denne besked i et svar
« Ældre | Nyere »




User(s) browsing this thread: 1 Gæst(er)